# AfterimageShader

## Import

AfterimageShader is an addon, and must be imported explicitly, see [Installation#Addons](https://threejs.org/manual/#en/installation).

```js
import { AfterimageShader } from 'three/addons/shaders/AfterimageShader.js';
```

## Properties

### .AfterimageShader : ShaderMaterial~Shader (inner, constant)

Inspired by [Three.js FBO motion trails](https://codepen.io/brunoimbrizi/pen/MoRJaN?page=1&).

## Source

[examples/jsm/shaders/AfterimageShader.js](https://github.com/mrdoob/three.js/blob/master/examples/jsm/shaders/AfterimageShader.js)